{% extends 'base.html.twig' %}

{% block stylesheets %}
    {{ parent() }}
    {{ encore_entry_link_tags('external_user/api_user/settlement_concept_account_user/resend_api_token') }}
{% endblock %}

{% block javascripts %}
    {{ parent() }}
    {{ encore_entry_script_tags('external_user/api_user/settlement_concept_account_user/resend_api_token') }}
{% endblock %}

{% block mainHeader %}
    <div class="container-fluid d-flex bg-white justify-content-start px-4 py-4">
        <a href="{{ path('external_user_api_user_settlement_concept_account_user_edit', {'settlementConceptAccountUserId': settlementConceptAccountUser.getId()}) }}" class="me-2 d-flex align-items-center text-decoration-none"><i class="material-icons md-36">arrow_back</i></a>
        <span class="text-primary fs-5 align-self-center">API-Nutzendem <i>{{ settlementConceptAccountUser.getFullName() }}</i> einen neuen API-Token übermitteln</span>
        {{ form_widget(settlementConceptAccountUserResendApiTokenForm.save, {'label': 'SENDEN', 'id': settlementConceptAccountUserResendApiTokenForm.save.vars.id ~ '_submit_button', 'attr': {'class': 'mdc-button mdc-button--raised mdc-button--leading delete-button ms-auto align-self-center'}}) }}
    </div>
{% endblock %}

{% block main %}
    <div class="container-lg mt-4">
        <div class="mdc-card mb-4 p-4">
            <h1 class="fs-4 d-flex align-items-center">Einen neuen API-Token generieren</h1>
            <p>
                <strong>Achtung:</strong> Sie sind dabei, dem Nutzenden eine E-Mail mit einem neuen API-Token zu senden.
                Der bestehende Token verliert damit seine Gültigkeit. Bis der Nutzende den neuen Token abgerufen hat, kann dieser keine Nutzungskonzepte übertragen.
            </p>
            <p>
                Mit dem Klick auf den Button SENDEN erhält der Nutzende eine E-Mail, über die er den neuen Token einmalig abrufen kann.
            </p>
            {{ form_start(settlementConceptAccountUserResendApiTokenForm, {'attr': {'id': settlementConceptAccountUserResendApiTokenForm.vars.id ~ '_form'}}) }}
            {{ form_row(settlementConceptAccountUserResendApiTokenForm._token) }}
            {{ form_end(settlementConceptAccountUserResendApiTokenForm, {'render_rest': false}) }}
        </div>
    </div>
{% endblock %}
